Page MenuHomeFreeBSD

net/lavinmq: NEW PORT a high-speed AMQP-0.9.1 message broker
ClosedPublic

Authored by dch on Aug 4 2021, 3:25 PM.
Tags
None
Referenced Files
F68585152: D31410.diff
Sun, Oct 1, 6:23 AM
F68585151: D31410.diff
Sun, Oct 1, 6:23 AM
Unknown Object (File)
Tue, Sep 12, 9:24 AM
Unknown Object (File)
Mon, Sep 4, 10:15 AM
Unknown Object (File)
Aug 31 2023, 7:09 AM
Unknown Object (File)
Aug 28 2023, 12:12 AM
Unknown Object (File)
Aug 28 2023, 12:12 AM
Unknown Object (File)
Aug 28 2023, 12:12 AM
Subscribers

Details

Summary
  • use new trademark-free name
  • works on aarch64 and amd64 now
  • needs a pkg message for new installs
  • verify if config.ini etc still work

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 41136
Build 38025: arc lint + arc unit

Event Timeline

dch requested review of this revision.Aug 4 2021, 3:25 PM

net/avalanchemq: NEW PORT a high-speed AMQP-0.9.1 message broker

further clean up around USES=ssl handling

add runtime dirs, rc.d script, docs

add *IDs

TODO

  • resolve linuxisms in path and config sample

add rc.d wrapping for socket clean up

add hier compliance for config

  • use new trademark-free name LavinMQ
  • builds on aarch64 and amd64 now
  • needs a pkg message for new setups
dch retitled this revision from net/avalanchemq: NEW PORT a high-speed AMQP-0.9.1 message broker to net/lavinmq: NEW PORT a high-speed AMQP-0.9.1 message broker.Jan 3 2023, 9:42 PM
dch edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Jan 11 2023, 10:11 PM
This revision was automatically updated to reflect the committed changes.